N6469A Embedded Display Port

Version 1.01.0000

Copyright © 2016 Keysight Technologies

Warranty
Technology License
Restricted Rights Legend
Safety Notices

April 2016

Table of Contents

N6469A eDP Test App - At a Glance

Starting the eDP Automated Test Application

To view/minimize the task flow pane

To view/hide the toolbar

Creating or Opening a Test Project

To set load preferences

Setting Up the Test Environment

Device Definition

eDP Device

Link Rate

Level

Other Device Definition Wizard tabs

Connection Setup

Test Controller

Enabling the Switch Matrix

Switch Matrix — Overview

To Enable Switch Matrix

Establishing Connection to the Switch Drivers — Automatically

Establishing Connection to the Switch Drivers — Manually

Configuring Signal Paths

Configuring Signal Paths with Automatic Selection

Configuring Signal Paths with Manual Selection

Response Correction

Setting Up the Precision Probe/Cable

Selecting Tests

Using the Right-Click Pop-Up Menu

Status of Tests

Configuring Tests

Compliance Limits

To Activate/Refresh Limit Set

To Create/Edit Limit Set

Connecting the Oscilloscope to the DUT

Running Tests

To select the store mode

To run multiple times

To send email on pauses or stops

To pause or stop on events

To set the display preferences

To specify the event

To set the run preferences

Automating the Application

Script Mode

Files Mode

Settings Status

Command Line

Viewing Results

To delete trials from the results

To show reference images and flash mask hits

To change margin thresholds

To change the test display order

To set trial display preferences

Viewing/Exporting/Printing the Report

To export the report

To print the report

To set HTML Report preferences

Saving Test Projects

To set AutoRecovery preferences

Controlling the Application via a Remote PC

To check for the App Remote license

To identify the remote interface version

To enable the remote interface

To enable remote interface hints

Using a Second Monitor

Keysight N6469A eDP Test Infiniium Compliance Application

Online Help


Warranty

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.


Safety Notices

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.
[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Restricted Rights Legend

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Keysight Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


N6469A eDP Test App - At a Glance

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

eDP Automated Testing—At a Glance

The Keysight N6469A automated test application for Embedded DisplayPort (eDP) Standard Version 1.4 provides a framework to use the Keysight Infiniium oscilloscopes to perform compliance testing on an embedded link in the Embedded DisplayPort Test Point Adapter (eDP-TPA). The automated test application for eDP enables the process of setting up the Device Under Test (DUT), configuring the oscilloscope connections, selecting and configuring tests, running the configured tests and evaluating the test results.

The eDP automated test application requires:

· N6469A eDP Automated Test Application software

· Infiniium 90000A DSO/DSA Series Oscilloscope / Infiniium 90000X Series Oscilloscopes / Infiniium 90000Q Series Oscilloscopes / Infiniium Z Series Oscilloscopes (Use any one of oscilloscopes based on your test requirements. Note that the each of these oscilloscopes must have a minimum bandwidth of 13 GHz to run the eDP Automated Test Application).

· eDP-TPA Series Embedded DisplayPort Test Point Adapter from Wilder Technologies

· InifiniiMax Series Probes Amplifier and Head with a minimum bandwidth of 10 GHz each

· Precision BNC to SMA male adapter (provided with Keysight Infiniium oscilloscope)

· 50-ohm phase aligned coaxial cable with SMA male connector — 24 inch or less

· E2655A/B/C probe deskew and performance verification kit

· Keyboard, Qty. = 1 (provided with Keysight Infiniium oscilloscope)

· Mouse, Qty. = 1 (provided with Keysight Infiniium oscilloscope)

· Keysight also recommends using a second monitor to view the automated test application.

· Probes and/or test fixtures

To use the automated test application for eDP, see:

· Starting the eDP Automated Test Application

· To view/minimize the task flow pane

· To view/hide the toolbar

· Creating or Opening a Test Project

· To set load preferences

· Setting Up the Test Environment

· Device Definition

· Connection Setup

· Test Controller

· Enabling the Switch Matrix

· Setting Up the Precision Probe/Cable

· Selecting Tests

· Configuring Tests

· Compliance Limits

· Connecting the Oscilloscope to the DUT

· Running Tests

· To select the store mode

· To run multiple times

· To send email on pauses or stops

· To pause or stop on events

· To set the display preferences

· To specify the event

· To set the run preferences

· Automating the Application

· Viewing Results

· To delete trials from the results

· To show reference images and flash mask hits

· To change margin thresholds

· To change the test display order

· To set trial display preferences

· Viewing/Exporting/Printing the Report

· To export the report

· To print the report

· To set HTML Report preferences

· Saving Test Projects

· To set AutoRecovery preferences

· Controlling the Application via a Remote PC

· To check for the App Remote license

· To identify the remote interface version

· To enable the remote interface

· To enable remote interface hints

For more information on performing eDP compliance tests, see: Keysight N6469A eDP Automated Test Application.


Starting the eDP Automated Test Application

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Starting the eDP Automated Test Application

  1. From the main menu of the Infiniium oscilloscope software, click Analyze>Automated Test Apps>N6469A eDP Test App.

  2. The eDP automated test application window appears.

See Also

· To view/minimize the task flow pane

· To view/hide the toolbar

Next

· Creating or Opening a Test Project


To view/minimize the task flow pane

Starting the eDP Automated Test Application

To view/minimize the task flow pane

· To toggle between a minimized and restored task flow pane, select View>Task Flow from the eDP Test App menu.

· To minimize the task flow pane, click the minimize button on the pane.

· To restore a minimized task flow pane, click the [image] button on the pane.


To view/hide the toolbar

Starting the eDP Automated Test Application

To view/hide the toolbar

· To toggle between a hidden and visible toolbar, choose View>Toolbar from the eDP Test App menu.


Creating or Opening a Test Project

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Creating or Opening a Test Project

To create a new test project:

  1. Choose File>New Project... from the eDP Test App's menu.

A new, empty project, with all default settings is created. If you create a new project again, the Start New Project window appears where you may choose to retain some of the pre-configured settings of the tool.

To open an existing test project:

  1. Choose File>Open Project... from the eDP Test App's menu.

  2. In the Open dialog box, browse to a test project directory and select the desired .proj file.

  3. Click Open.

See Also

· To set load preferences

Next

· Setting Up the Test Environment


To set load preferences

Creating or Opening a Test Project

To set load preferences

  1. From the eDP Test App menu, choose View>Preferences....

  2. In the Preferences dialog box, select the Save/Load tab.

  3. In the Save/Load tab, you may choose to restore saved test selections when loading a project.

  4. Click Apply to save changes and click OK to close the Preferences dialog box.


Setting Up the Test Environment

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Setting Up the Test Environment

Use the Set Up tab for:

  1. Standard Selection—Choose the Embedded DisplayPort (eDP) standard version to perform compliance tests on the DUT. By default, eDP 1.4 is selected.

· eDP 1.4—Select this option for the compliance testing of eDP v1.4 standard on the DUT.

· eDP 1.3—Select this option for the compliance testing of eDP v1.3 standard on the DUT.

  2. Test Suite—Currently, the eDP Automated Test Application enables the Physical Layer tests on the Source device. By default, Physical Layer Tests is selected.

  3. Device Definition—See Device Definition to set up the DUT. The application loads a pre-configured Default Device Definition that you may use for compliance testing.

  4. Connection Setup—See Connection Setup to set up the connection of the DUT with the Keysight Infiniium oscilloscope. There is no default connection set up in the application.

  5. Test Controller—See Test Controller to set up an auxiliary channel using the Embedded DisplayPort Test Controller devices on the eDP automated test application.

The eDP automated test application shows normative tests only. Disabling this option does not enable the option to run non-standard tests on this application.

See Also

· Device Definition

· Connection Setup

· Test Controller

Next

· Selecting Tests


Device Definition

Setting Up the Test Environment

Device Definition

Under the Set Up tab, click Device Definition to access the Device Definition Wizard dialog. Use this wizard to view and define the parameters under each tab that are associated with various compliance tests that must be run on the eDP Device.

eDP Device

This is the default tab that displays upon launching the Device Definition Wizard. You may use it to assign a unique Device ID name and select a Device Type.

· Device ID—Type a unique name/identifier for the eDP Device under Test (DUT). By default, this field has the text eDP Device specified.

· Device Type—Select the type of eDP Device (Source, Sink or Cable) that must be tested. By default, Source is selected, which is the only eDP Device type currently supported by the eDP Automated Test Application.

Click Next to access the Link Rate tab. If you click Close, the following prompt displays.

Click Yes if you wish to exit the wizard, else click No to continue viewing the Device Definition wizard.

Link Rate

This tab enables defining the parameters associated with Link Rate and Spread Spectrum Clocking (SSC).

Link Rate

You may change the parameters associated with Link Rate.

· Specification Limit Unit Type—Select the unit of link rate measurement on the eDP Device, either as bps (bits per second) or ppm (parts per million). By default, ppm is selected.

If you select bps, the unit for minimum and maximum link rate values changes to Gbps.

· Number of Link Rates—Select the number of link rates (any number from 1 to 4) from the drop-down that must be used for testing on the eDP Device. By default, 4 is selected.

· Link Rate n—(n represents 1 to 4) Select the Link Rate speed in Gbps from the drop-down options for each of the rows.

Based on your selection, the values for unit interval in picoseconds (ps) and the type of bit rate (RBR, HBR, HBR2 and so on) vary.

Note

The Link Rate rows reduces as you select the Number of Link Rates of lower value. For example, if you select the Number of Link Rates as 1, the last three rows are disabled and hidden. Only the row corresponding to Link Rate 1 can be viewed.

· CTLE—Click the [image] button corresponding to a Link Rate to view the CTLE (Continuous Time Linear Equalizer) wizard.

Note

The 3-pole CTLE filter uses the following filter equation:

H(s) = [(Adc . ωp1 . ωp2 . ωp3) / ωZ] . [(s + ωZ) / {(s + ωp1) . (s + ωp2) . (s + ωp3)}]

where,

H(s) = Transfer function of the CTLE filter.

s = Complex frequency

Adc = DC Gain of the CTLE filter.

ωZ = Zero Frequency of the CTLE filter.

ωp1 = Pole 1 Frequency of the CTLE filter.

ωp2 = Pole 2 Frequency of the CTLE filter.

ωp3 = Pole 3 Frequency of the CTLE filter.

There are certain pre-defined values for the attributes listed under the CTLE wizard. You may type a value of your choice for each of the following attributes:

Attributes | Unit | Description
DC Gain | dB | Specify the variable value Adc for calculation of in the 3-pole CTLE filter equation.
Zero Frequency | MHz | Specify the variable value ωZ for calculation of in the 3-pole CTLE filter equation.
Pole 1 Frequency | MHz | Specify the variable value ωp1 for calculation of in the 3-pole CTLE filter equation.
Pole 2 Frequency | MHz | Specify the variable value ωp2 for calculation of in the 3-pole CTLE filter equation.
Pole 3 Frequency | MHz | Specify the variable value ωp3 for calculation of in the 3-pole CTLE filter equation.

Click OK to save your changes or click Cancel to discard the changes and return to the Link Rate tab.

If required, repeat the steps mentioned above for the CTLE wizard corresponding to the rest of the Link Rate rows.

Spread Spectrum Clocking

You may select the property of the DUT associated with Spread Spectrum Clocking (SSC).

· Spread Spectrum Clocking State—Select the SSC state that the eDP Device is designed to support. From the drop-down options, choose one of the following:

    1. AlwaysOn—Select this condition if SSC is always enabled on the eDP device.

    2. AlwaysOff—Select this condition if SSC is always disabled on the eDP device. If you choose this option, the application disables and hides the settings for SSC Modulation Frequency and SSC Modulation Deviation.

    3. Settable—Select this condition if the eDP device supports both states (SSC enabled and SSC disabled). This is the default option.

· SSC Modulation Frequency—Defines the average modulation frequency (in kHz) of the Spread Spectrum Clock. Setting a value in the field on the left changes the Minimum and the Maximum modulation frequency for the clock.

· SSC Modulation Deviation—Defines the average modulation deviation (in ppm) of the Spread Spectrum Clock. Setting a value in the field on the left changes the Minimum and the Maximum modulation deviation for the clock.

Click Next to access the Level tab. Click Back to go back to the eDP Device tab. Click Close and Yes on the prompt, if you wish to exit the wizard.

Level

This tab enables defining the parameters associated with Differential Voltage Level and Pre-Emphasis Level.

Both Differential Voltage Level and Pre-Emphasis Level have certain attributes, some of which are common and some are different:

Attributes

Description

Common Attributes

Test Type

· Absolute—Select to enable absolute values that are defined for Differential Voltage levels (in mV) and Pre-Emphasis levels (in dB) during tests, without any adjustments to values with respect to other parameters. This is the default selection.

· Referential—Select to enable referential values for Differential Voltage levels (in mV) and Pre-Emphasis levels (in dB) during tests, where adjustments are made to the values, with respect to other parameters.

Note that if you select this test type, the application disables and hides the Minimum and Maximum values for Differential Voltage Level 0 and Pre-Emphasis Level 0.

Test Pattern

Click the drop-down to choose one of the following test patterns:

  • HBR2CPAT

  • PRBS 7 (Default Selection)

  • PRBS 9

  • PLTPAT

  • Random Pattern

  • Other Pattern

Other Attributes

Differential Voltage Level

· Number of Differential Voltage Levels—Select the number of differential voltage levels (any number from 1 to 4) from the drop-down that must be used for testing on the eDP Device. By default, 4 is selected.

· Differential Voltage Level n—(n represents 0 to 3) Defines the average differential voltage (in mV) of nth level on the eDP device. Setting a value in the field on the left changes the Minimum and the Maximum differential voltage on the device.

Pre-Emphasis Level

· Number of Pre-Emphasis Levels—Select the number of pre-emphasis levels (any number from 1 to 4) from the drop-down that must be used for testing on the eDP Device. By default, 4 is selected.

· Pre-Emphasis Level n—(n represents 0 to 3) Defines the average pre-emphasis level (in dB) of nth level on the eDP device. Setting a value in the field on the left changes the Minimum and the Maximum pre-emphasis level on the device.

Note

The Number of Differential Voltage Levels and the Number of Pre-Emphasis Levels work in a manner similar to the Number of Link Rates. When you select a value that is lesser than 4 in either of the levels, only the corresponding number of rows will display. For example, if you select the Number of Differential Voltage Levels as 1, the last three rows are disabled and hidden and if you select the Number of Pre-Emphasis Levels as 2, the last two rows are disabled and hidden. In the former case, only the row corresponding to Differential Voltage Level 0 is displayed. Only rows corresponding to Pre-Emphasis Level 0 and Pre-Emphasis Level 1 is displayed.

Click Next to access the next tab. Click Back to go back to the Level tab. Click Close and Yes on the prompt, if you wish to exit the wizard.

Note

The table lists the Device Definition Wizard tabs in the order in which they appear. You cannot toggle between two tabs at any time. Once you configure the settings under a specific tab, click Next to access the next tab or click Back to go back to the previous wizard. Click Close and Yes on the prompt, if you wish to exit the wizard.

Other Device Definition Wizard tabs

The rest of the tabs in the Device Definition Wizard are:

· Eye Diagram

· Jitter

· Rise/Fall Time

· Inter Pair Skew

· Main Link And SSC

· Intra Pair Skew

· AC CM Noise

These tabs have some columns that are common and some are different.

Common Columns

· Link Rate—Lists the Link Rate number and the associated parameters configured for the eDP device. Depending on the Number of Link Rates that you select under the Link Rates tab, you will see the corresponding number of Link Rate rows under each tab listed on the left. For example, if you select the Number of Link Rates under the Link Rate tab as 1, the last three rows are disabled and hidden. Only the row corresponding to Link Rate 1 is displayed.

· Test Pattern—

In the Eye Diagram and Jitter tabs, select the test pattern from the drop-down list that you wish to run, for each Link Rate.

By default, HBR2CPAT is selected.

The Test Pattern in the rest of the tabs are:

· Rise/Fall Time—PLTPAT (default and the only test pattern available)

· Inter Pair Skew—PRBS 7 (default and the only test pattern available)

· Main Link And SSC—D10.2 (default and the only test pattern available)

· Intra Pair Skew—HBR2CPAT (default and the only test pattern available)

· AC CM Noise—HBR2CPAT (default and the only test pattern available)

· Test Plan—Click [image] under the Test Plan column to view the Test Plan Wizard that displays the tests, which you had selected in the previous tabs, for each Link Rate number.

The figure displays the Test Plan Wizard for the Link Rate 1 under the Eye Diagram tab. You will find a similar wizard for the test plan in the rest of the tabs, for each Link Rate number. Some common features in this wizard are:

· By default, all tests under the Test List are selected.

· Each test list has a Link Rate, Differential Voltage Level, Pre-Emphasis Level and Spread Spectrum Clocking branch listed for each Link Rate row number.

· Each test list has only one Link Rate branch corresponding to the Link Rate row number that you are configuring.

Some points of difference are:

· Each test list has the following variables:

      1. The first branch under each test list follows the pattern—<tab-name> Link Rate <Link-Rate-row-number>. For example, the Test Plan for Link Rate 3 under Main Link And SSC displays Main Link Frequency And SSC Link Rate 3.

      2. The Link Rate branch displays Rate <Link-Rate-row-number> corresponding to the Link Rate row for which you are viewing the test plan.

      3. Each test list has a minimum of one and a maximum of four Differential Voltage Levels and Pre-Emphasis Levels listed. The levels vary based on the settings under the Level tab.

      4. The Spread Spectrum Clocking displays either SSCOn, SSCOff or both SSCOn and SSCOff, in accordance to your selection for the SSC State—AlwaysOn, AlwaysOff or Settable respectively.

Click OK to save any changes that you make to the Test Plan Wizard or click Cancel to discard any changes.

Other Columns

Device Definition Wizard tabs

Other Columns

Eye Diagram

· Eye Mask File—Displays the file location where the eye mask file (*.msk) is saved on the local disk, for the corresponding Link Rate number.

· Browse—Click [image] to view the browser on the local disk, to load the Eye Mask file for the corresponding Link Rate number.

Jitter

· Non ISI Max (UI)—Lists the maximum value for Non Inter-Symbol Interference, in milliseconds, for the Jitter test for each Link Rate number.

· TJ Max (UI)—Lists the maximum value for Total Jitter, in milliseconds, for the Jitter test for each Link Rate number.

· DJ Max (UI)—Lists the maximum value for Deterministic Jitter, in milliseconds, for the Jitter test for each Link Rate number.

· RJ Max (UI)—Lists the maximum value for Random Jitter, in millseconds, for the Jitter test for each Link Rate number.

Click to manually change any of these values, based on the test requirements.

Rise/Fall Time

· Rise Time Min (s)—Lists the minimum value for rise time, in seconds, that must be attained during the Differential Transition Time test, for each Link Rate number.

· Rise Time Max (s)—Lists the maximum value for rise time, in seconds, that must be attained during the Differential Transition Time test, for each Link Rate number.

· Fall Time Min (s)—Lists the minimum value for fall time, in seconds, that must be attained during the Differential Transition Time test, for each Link Rate number.

· Fall Time Max (s)—Lists the maximum value for fall time, in seconds, that must be attained during the Differential Transition Time test, for each Link Rate number.

Click to manually change any of these values, based on the test requirements.

Inter Pair Skew

· Inter Pair Skew Expected (s)—Lists the expected value for inter pair skew, in seconds, that must be attained during the Inter Pair Skew test, for each Link Rate number.

· Inter Pair Skew Min (s)—Lists the minimum value for inter pair skew, in seconds, that must be attained during the Inter Pair Skew test, for each Link Rate number.

· Inter Pair Skew Max (s)—Lists the maximum value for inter pair skew, in seconds, that must be attained during the Inter Pair Skew test, for each Link Rate number.

Click to manually change any of these values, based on the test requirements.

Main Link And SSC

· Main Link Frequency Compliance Min (ppm)—Lists the minimum value for the main link frequency, in ppm, that must be attained for compliance during the Main Link Frequency test, for each Link Rate number.

· Main Link Frequency Compliance Max (ppm)—Lists the maximum value for the main link frequency, in ppm, that must be attained for compliance during the Main Link Frequency test, for each Link Rate number.

· SSC Modulation Frequency Min (Hz)—Lists the minimum value for the SSC Modulation frequency, in Hz, that must be attained for during the Spread Spectrum Clocking test, for each Link Rate number.

· SSC Modulation Frequency Max (Hz)—Lists the maximum value for the SSC Modulation frequency, in Hz, that must be attained for during the Spread Spectrum Clocking test, for each Link Rate number.

· SSC Modulation Deviation Min (ppm)—Lists the minimum value for the SSC Modulation deviation, in ppm, that must be attained for during the Spread Spectrum Clocking test, for each Link Rate number.

· SSC Modulation Deviation Max (ppm)—Lists the maximum value for the SSC Modulation deviation, in ppm, that must be attained for during the Spread Spectrum Clocking test, for each Link Rate number.

Click to manually change any of these values, based on the test requirements.

Intra Pair Skew

· Intra Pair Skew Min (s)—Lists the minimum value for intra pair skew, in seconds, that must be attained during the Intra Pair Skew test, for each Link Rate number.

· Intra Pair Skew Max (s)—Lists the maximum value for intra pair skew, in seconds, that must be attained during the Intra Pair Skew test, for each Link Rate number.

Click to manually change any of these values, based on the test requirements.

AC CM Noise

· AC Common Mode Noise Min (V)—Lists the minimum value for the AC Common Mode noise, in Volts, that must be attained during the AC Common Mode Noise test, for each Link Rate number.

· AC Common Mode Noise Max (V)—Lists the maximum value for the AC Common Mode noise, in Volts, that must be attained during the AC Common Mode Noise test, for each Link Rate number.

Click to manually change any of these values, based on the test requirements.

Across all these tabs (except the AC CM Noise tab), click Next to access the next tab. Click Back to go back to the previous tab. Click Close and Yes on the prompt, if you wish to exit the wizard.

Under the AC CM Noise tab, click Back to go back to the previous tab. Click Finish to save any changes done in the Device Definition Wizard. A Save Device Definition File dialog displays, where you can save the file in *.ddt format.


Connection Setup

Setting Up the Test Environment

Connection Setup

Under the Set Up tab, click Connection Setup button. The application displays several wizards that help you customize the connection setup between the DUT and the Keysight Infiniium Oscilloscope:

Test Setup

The Test Setup wizard helps you establish a unique identity to your test setup. You may type/change the following options:

· Device ID—(Optional) Type a unique name for the eDP Device under test. By default, eDP Device 1 is entered.

· Operator ID—(Optional) Type the name of the operator/personnel running the tests. By default, this field is blank.

· Project ID—(Optional) Type the name of the project for which, you are running the tests. By default, this field is blank.

· Comments—(Optional) Type any comments, if required.

· Device Type—Click the drop-down to choose the eDP device type.

Note

The current version of the eDP automated Test Application supports compliance testing of Source eDP Device type only. As displayed in the Description field, the other eDP Device Types supported are Sink and Cable. Based on the type of eDP Device you select, the options in the Test Type drop-down change. Currently, the eDP automated Test Application supports only those tests that are applicable to Source eDP Device type.

· Test Type—Click the drop-down to choose the type of tests you want to run on the selected eDP Device type. You may choose one of the following options:

    1. Differential Tests—Enables differential tests for interoperability verification of eDP sources.

    2. Single-Ended Tests—Enables single-ended tests for interoperability verification of eDP sources.

    3. Both—Enables both differential and single-ended tests for interoperability verification of eDP sources.

Once you configure the initial test setup under the Test Setup wizard, click Next to access the Test Session Setup wizard.

Test Session Setup

The Test Session Setup wizard allows you to modify various attributes in a test session. You may change the following options:

· Lane—Choose the number of lanes on the DUT that must be tested. By default, 1 Lane is selected.

· Bit Rate—Select to enable/disable the bit rates on the DUT that must be tested. By default, all Bit Rates (1 to 4) are selected.

· Spread Spectrum Clocking—Select to enable/disable testing of the DUT in such cases when Spread Spectrum Clocking (SSC) is enabled or when SSC is disabled. By default, both conditions are selected.

· Differential Voltage Level—Select the differential voltage swing level range under which the DUT must be tested. By default, all swing level ranges (0 to 3) are selected.

· Pre-Emphasis Level—Select the pre-emphasis level on the DUT that must be tested to measure accuracy of the pre-emphasis setting. By default, all pre-emphasis levels (0 to 3) are selected.

· Post-Cursor2 Level—Select the post cursor level on the DUT that must be tested. By default, Level 0, which is the only option, is selected.

Once you enable/disable the options for session test details under the Test Session Setup wizard, click Next to access the Test Connection Setup wizard. Click Back if you wish to access the Test Setup wizard.

Test Connection Setup

The Test Connection Setup wizard allows you to modify various attributes in the test connection. You may change the following options:

· Fixture Type—Choose an eDP fixture type from the drop-down options, according to the actual fixture used for the test. If the fixture you are using is not listed, choose Custom.

Click to select the check-box for De-embed Fixture, if you wish to reduce/remove losses from the fixture.

· Connection Type—Choose an eDP Connection type either as Differential Probe for Differential Tests measurement or Single-Ended (A-B) for Single-Ended Tests measurement.

Differential Tests measurement can be done in two ways:

  1. Using a Differential Probe Head (N5380A)

  2. Using two Single-Ended SMA and performing the 'A-B' calculation

Single-Ended Tests measurement can be done using a single-ended SMA connection, which is the only model supported currently.

Note

The options under Connection Type are grayed out if you select the option Both on the Test Type drop-down in the Test Setup wizard. In such case, measurement of both Differential and Single-Ended tests is possible.

· No. of Channels—Choose the number of oscilloscope channels that must be connected with the Probes or SMA Cables used for the tests.

The number of channels displayed in this drop-down (1 Channel, 2 Channels or 4 Channels) depends on the number of lanes (1 Lanes, 2 Lanes or 4 Lanes) chosen under Test Session Setup wizard and also on the choice of Connection Type selected in the Test Connection Setup wizard.

For Differential Probe Model, you may choose 1, 2 or 4 channels; which corresponds to testing of 1, 2 or 4 lanes.

For Single-Ended (A-B) Model, you may choose only 2 or 4 channels; which corresponds to testing of 1 or 2 lanes.

Once you select the options under the Test Connection Setup wizard, click Next to access the Channel Selection Setup wizard. Click Back if you wish to access the Test Session Setup wizard.

If you click Close under any of the wizards prior to accessing the Channel Selection Setup wizard, you will receive the following prompt:

Click Yes if you wish to exit the wizard, else click No to continue the test setup.

Channel Selection Setup

The Channel Selection Setup wizard displays a pictorial representation of the connection between the DUT and the oscilloscope. You may choose the Lane and the Channel in the test connection, on which you want your tests to be run. Notice the color coding used to represent the Lane A and Lane 0 in the figure. Click Legend to check the description of each color code, so that you may modify your connection to have a good channel assignment and proper probe attachment & calibration.

Once you select the required channels and lanes under the Channel Selection Setup wizard, click Finish to exit the Connection Setup and go back to the Set Up tab view. Click Back if you wish to access the Test Connection Setup wizard or any other wizards.

Upon clicking Finish at the Channel Selection Setup wizard, the Set Up tab indicates Connection Setup Completed under the Connection Setup button.


Test Controller

Setting Up the Test Environment

Test Controller

Under the Set Up tab, you may set up an auxiliary channel using the Embedded DisplayPort Test Controller (DPTC) devices.

  1. In the Test Controller area, select the test controller device from the drop-down options.

· KeysightW2642A—This auxiliary test controller device controls the state of an eDP source or sink device for verification of data exchange over the Embedded DisplayPort AUX channel. This option is selected by default.

· UnigrafDPTC—This auxiliary test controller device provides full compatibility for automated testing over an Embedded DisplayPort Auxiliary Channel with source and sink test solutions.

  2. The Select Script field displays the file name and file path of the auxiliary controller script file (*.aux) for the selected auxiliary test controller device. You may type the complete file path or click the Browse button to select an auxiliary script file stored on the local disk.

  3. Select the auxiliary script file that you want to run on the test controller device and click the Open button.

By default, the Enable Automation check box is unchecked. Select this option if you wish to enable automated testing over the auxiliary channel for a test controller device.

For example, if you wish to enable automated testing for UnigrafDPTC, select Enable Automation.

Note

If your test controller device is not configured or connected, the application displays an error.

Notice that a Configure button appears in the Test Controller section and the Launch GUI button is enabled.

Do one of the following to configure the selected test controller device.

· Click the Configure button to access the Device Configuration dialog and follow the on-screen instructions to configure the selected test controller device.

· Click the Launch GUI button to launch the DisplayPort Test Controller dialog and click the Configure button to configure the selected test controller device. The DisplayPort Test Controller dialog also displays some advanced settings, which you may configure for automated testing using the selected test controller device.


Enabling the Switch Matrix

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Enabling Switch Matrix

Switch Matrix — Overview

An Oscilloscope has only 4 channels to run tests. The limited number of channels may, at times, limit the testing of some multi-lane standards. Also, it may prove to be a hindrance to run test procedures for multi-port devices or simultaneous testing of multiple devices. The Switch Matrix feature on the Infiniium Oscilloscope overcomes such limitations. The purpose of the ‘Switch Matrix’ feature is to ease the testing procedure, make it more feasible and to reduce the overall time. Using this feature, you can connect all four lane pairs of the eDP Source devices to the correct switches and to obtain an accurate signal path whenever required.

Keysight recommends the following switches to be used with the N6469A eDP Automated Test application:

· Keysight U3020AS26

· BitifEye BIT-2100

Note

You require an additional license to support this optional feature of Switch Matrix in the N6469A eDP Automated Test Application.

To Enable Switch Matrix

Before you begin the testing of four lane pairs of the eDP Source devices simultaneously, you must enable the Switch Matrix feature.

To enable the switch matrix feature:

  1. Click Tools>Switch Matrix....

  2. In the Configure Switch Matrix Settings dialog box, click the On radio button to enable the Switch Matrix feature.

Enabling the Switch Matrix feature also enables the automated switch control. Notice that the Automatically select drivers and paths (limited models) radio button in the Configuration Mode section of the Controller tab is selected by default.

Establishing Connection to the Switch Drivers — Automatically

In the Configure Switch Matrix Settings dialog, under the Controller tab:

  1. From the Switch Drivers section, select the switch model from the Model: drop-down options.

Note

If you choose the other switch model next time, the switch settings and the response correction for all paths is reset based on the selected switch driver model.

  2. Click the Connect button.

The application provides two different modes to connect the selected driver to a physical switch instrument.

  3. A Connect to <switch-model> dialog displays, which gives you two options to establish a connection to the switch models.

· Enter full SICL address or VISA alias—Select this radio button to type the complete SICL or VISA address of the switch driver. By default, this option is selected.

Click the Identify button to identify the instrument at the specified address or alias and to view the current status of the instrument that is connected to the switch driver. Click OK to exit.

A list of drivers is available to assign signal path. Click OK to return to the Configure Switch Matrix Settings dialog.

Click OK to save the settings and return to the test environment.

· Select from Keysight Connection Expert—Select this radio button to control the application with the help of remote PC. Upon selecting this option, the application starts seeking device information from the Keysight Connection Expert.

If remote access of the device is enabled, the Connect to <switch-model> dialog displays the list of active instruments. Click to select the Identify* / Hide unresponsive addresses check-box to send an IDN query to every instrument in the list and search for the active instruments, if any.

If any active instruments are found, the Connect to <switch-model> dialog lists out such instruments (as shown in the image below); else the application displays an error message.

Select an instrument from the list and click OK to return to the Configure Switch Matrix Settings dialog.

Click OK in the Configure Switch Matrix Settings dialog to save the settings and return to the test environment.

Note

The Select from Keysight Connection Expert option is available only when the device is turned on and enabled for remote access.

To know more about how to control the application remotely, see Controlling the Application via a Remote PC.

Establishing Connection to the Switch Drivers — Manually

In the Configure Switch Matrix Settings dialog:

  1. Click to select the Manually perform these tasks (any supported model) radio button in the Configuration Mode section.

  2. In the Switch Drivers section, you may use the Add button to append the list of any additional drivers, which require a connection to an instrument. Use the Delete button to remove a selected driver from the list. Removing the driver from the list dissociates any signal paths that may have been assigned to it earlier.

Note

The Manually perform these tasks (any supported model) option allows you to decide how many drivers to use and how to route the signal paths. It enables the use of any supported switch model.

Rest of the steps for establishing a connection to the switch models remains the same as described in the Establishing Connection to the Switch Drivers — Automatically. The only difference between automatic and manual modes is that you can add/delete and select switch drivers (any supported model) as per your requirements and preferences in the manual mode.

Configuring Signal Paths

Once you have enabled the Switch Matrix feature and set up connections to the switch drivers, you must configure signal paths. The options to configure the signal paths vary depending upon whether you have selected Automatically select drivers and paths (limited models) or Manually perform these tasks (any supported model) in the Controller tab of the Configure Switch Matrix Settings dialog.

Configuring Signal Paths with Automatic Selection

When you have selected Automatically select drivers and paths (limited models) in the Controller tab of the Configure Switch Matrix Settings dialog:

  1. Click the Signal Paths tab in the Configure Switch Matrix Settings dialog.

Notice that the signal paths are already predefined and read-only. At runtime, when the Switch Matrix module is on and when a connection prompt occurs, two events occur:

· The framework suppresses the prompts.

· The Switch Matrix module detects the new connection and then throw switches, as indicated in the Switch column, taking into account the current value of the config variable (if any) associated with the connection.

Configuring Signal Paths with Manual Selection

When you have selected Manually perform these tasks (any supported model) in the Controller tab of the Configure Switch Matrix Settings dialog:

  1. Click the Signal Paths tab in the Configure Switch Matrix Settings dialog.

  2. Under the Sink column, select the channel or switch module in one of the drop-down options. The alternative channel or switch module option is automatically displayed.

For example, if you choose Channel 2+ in the first row, the drop-down in the second row automatically selects and displays Channel 4-.

Notice that the Source column also displays the lane drop-down options, which did not appear until you selected the channel in the Sink column. You may change the lane assignments and the corresponding Switch modules.

In both cases, that is, configuring signal paths with automatic or manual selection; click the View Connections... button to view the signal path mapping, to understand how the signal path maps to the connection diagrams being used by the application.

Click the Tests... button to view information about the test pattern and test types that use this connection to perform automated tests.

Click the Close button to exit and return to the Configure Switch Matrix Settings dialog to finish the signal path configuration.

If required, use the Reset Paths... button to clear all switch and response correction settings for all paths. Click OK if you wish to proceed.

Also, if needed, use the Load Preconfigured Settings... button to set switches for all paths as per the recommended settings. Click OK if you wish to proceed.

Response Correction

You must specify the response correction after you finish configuring the signal paths. This is a vital parameter that highly impacts the measurement accuracy, credibility and performance of the oscilloscope. The purpose of response correction is to correct the channel frequency response of the oscilloscope.

There are two response correction methods available in the Choose correction mode: drop-down options:

· None—turns off normalization for the specified path. By default, this options is selected.

· PrecisionProbe—specify response correction by characterizing the precision cable or probe.

If you select PrecisionProbe option from the drop-down, the Configure PrecisionProbe / PrecisionCable dialog displays.

Refer to Setting Up the Precision Probe/Cable to know about how to configure the precision probe/cable.

Once you configure the precision probe/cable and return to the Response Correction tab of the Configure Switch Matrix Settings dialog, you may use the [image] button, if you wish to make further changes to the precision probe/cable configuration.

Use the [image] button to establish a connection between the selected test point and scope channel. For example, if you click Execute Switches after selecting the first row, as shown below, you receive the following prompt:

Click OK on this prompt. Once you have finished response corrections for all connections, click OK in the Configure Switch Matrix Settings dialog. The application redirects you to the test environment.


Setting Up the Precision Probe/Cable

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Setting Up the Precision Probe/Cable

Note

You may access the precision probe/cable setup feature on the eDP Automated Test Application only if the license is available on the Keysight Infiniium Oscilloscope.

  1. From the eDP automated test application's main menu, click Tools > Infiniium > PrecisionProbe/PrecisionCable....

The Configure PrecisionProbe / PrecisionCable dialog appears, where you can set up the precision probe or the precision cable.

  2. Click the scope channel being used.

  3. In the Mode section, select one of the following options. Notice that the display in the lower part of the dialog changes according to your selection:

· PrecisionProbe—to calibrate the probes.

· PrecisionCable—to remove insertion loss caused by cables or fixtures.

The AC Calibration field displays the current status of the precision probe/cable.

Prior to enabling the settings for the precision probe/cable, you must perform calibration for the probe/cable on the scope.

  4. Click the Create New... button. The Create Calibration dialog displays.

· Create Calibration dialog for PrecisionProbe:

· Create Calibration dialog for PrecisionCable:

  4. On the Create Calibration dialog, click the Start button and follow the on-screen instructions to create probe/cable calibration files. Click Finish to exit the Create Calibration dialog and return to Configure PrecisionProbe / PrecisionCable dialog.

  5. Click OK to return to the test environment.


Selecting Tests

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Selecting Tests

  1. Click the Select Tests tab or click Select Tests in the Task Flow pane.

  2. Click the check boxes to select the tests you want to run.

Note

The tests that appear on the Select Tests tab are determined by the settings chosen under the Set Up tab. The list of tests gets rebuilt each time the settings of the Set Up tab changes.

Few points to note when selecting check boxes:

· Selecting a parent node/group selects all available subgroups or tests.

· Deselecting a parent node/group deselects all subgroups or tests.

· Selecting all subgroups selects the parent node.

· Deselecting ANY subgroup deselects the parent node.

Using the Right-Click Pop-Up Menu

The right-click pop-up menu within the test pane, contains some shortcuts to select or deselect tests/groups/subgroups.

Status of Tests

The Select Tests tab shows the status of the tests that have already been run.

The status marks have the following indications:

Status Mark | Indication
 | The tests have passed.
 | The tests have failed.
 | The test has not been run or no tests in the group have been run.
 | The test is currently running.
 | Some tests in the group have been run and passed.
 | Some tests in the group have been run and failed.
 | Some tests in the group have passed and some have failed; not all of the tests have been run.
 | Some tests in the group have passed and some have failed; all of the tests have been run.
 | All the tests in the group have run and passed.
 | All tests in the group have run and failed.
 | The test is an information only test

See Also

· [image] Keysight N6469A eDP Automated Test Application

Next

· Configuring Tests


Configuring Tests

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Configuring Tests

  1. Click the Configure tab or click Configure in the Task Flow pane.

  2. Choose either Compliance or Debug Mode to view the default test configurations and if required, change the configuration for the respective modes. By default, the Compliance mode is selected.

· Compliance Mode — Enables viewing and modifying configuration options that are required to meet the compliance standard tests.

· Debug Mode — Enables viewing and modifying configuration options that may be useful to investigate test failures.

The list of tests displayed under the Configure tab changes according to the selection made under Set Up tab and Select Tests tab.

  3. Click the bulleted item to modify the settings of the selected configuration option; either by selecting a value from the drop-down list or by typing a value of your choice.

A description of the selected configuration item appears in the lower, right part of the application window.

Note

Other than the blank fields where you may type a value, some configuration options have drop-down fields where you may enter a new value of your choice. The entered values are checked for validity.

Tip

· Switch from Compliance Mode to Debug Mode to see the Debug Mode configuration option values that are also used in the Compliance Mode.

· Switch from Debug Mode to Compliance Mode to reset all the Debug Mode configuration options. Click OK on the Warning prompt when you wish to reset the Debug Mode configuration setting values to default.

· Create a new project to reset all configuration options and delete all test results. The new project contains the default configuration options.

See Also

· Compliance Limits

Next

· Connecting the Oscilloscope to the DUT


Compliance Limits

Configuring Tests

Compliance Limits

You may define compliance limits within the eDP automated test application by using the Compliance Limits feature.

Using this feature, you can:

· Activate/Refresh a Limit Set. See To Activate/Refresh Limit Set.

· Create/Edit a Limit Set. See To Create/Edit Limit Set.


To Activate/Refresh Limit Set

Compliance Limits

To Activate/Refresh Limit Set

To access the Activate/Refresh Compliance Limit Set dialog, do one of the following:

· Under the Configure tab, click the [image] button.

· From the eDP Automated Test Application's main menu, click Tools>Compliance Limits>Activate/Refresh limit set....

The Activate/Refresh Compliance Limit Set dialog displays.

By default, the Active Limit Set is Embedded DisplayPort (eDP) Standard Version 1.4. You may change the limit set in the Select a limit set to activate/refresh: area.

· Select an official limit set from the drop-down for Official limit sets:. Official limit sets are referred to the limit sets defined by Keysight Technologies. Usually, these limit sets reflect different versions of official specifications. Currently, the default official limit set in the application is Embedded DisplayPort (eDP) Standard Version 1.4.

· Click User-defined limit sets: to enable the Browse button and select a file from the local disk that defines the custom limit set that you (or another user) have created. The user-defined limit sets may contain values that are different from any official specification. See To Create/Edit Limit Set on how to create a user-defined limit set.

Click [image] to enable the selected limit set. This will change the limit for the configuration options that are required to meet the compliance standard tests.


To Create/Edit Limit Set

Compliance Limits

To Create/Edit Limit Set

To access the Create/Edit User-Defined Limit Set dialog, click Tools>Compliance Limits>Create/Edit limit set....

The Create/Edit User-Defined Limit Set dialog displays.

Click the [image] button to load an existing official limit set or an existing user-defined limit set.

By default, the Active Limit Set: area displays (Official) Embedded DisplayPort (eDP) Standard Version 1.4. Also, the Official limit sets: radio button is selected by default under the Select a limit set to load: section.

To select a user-defined limit set, select the User-defined limit sets: radio button to enable the field where you can type the file path and file name of the limit set file (*.lim). You may also click the Browse button to select the (*.lim) file from the local disk.

In the Open dialog box, select the limit set file you want to load and click the Open button.

The User-defined limit sets: field displays the entire file path and name. Click the Load button to view the attributes of the limit set file.

In the Create/Edit User-Defined Limit Set dialog, notice that some of the fields, which were grayed out earlier, are populated based on the attributes of the selected limit set file.

In the Edit summary: section, you may type/edit the name of the limit set file in the Name: field and type/edit the reference standard name in the Shared reference: field.

Click to select the test limit in the Select test limit(s) section that you wish to amend and modify.

In the Select action to perform area, you can perform one of the following actions:

  1. Click the [image] button to modify the selected test limit set in the Edit Compliance Limit dialog. Click OK to save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

  2. Select two or more test limit rows and click the [image] button to combine test limits into one limit, such that the resultant limit covers more than one test ID.

In the Combine Multiple Test Limits Into One dialog, verify the selected limit sets, which you wish to combine, in the Copy limits from: drop-down field. Type a summary name and description to identify the new combined test limit. Click the Finish button save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

  3. Click the [image] button to access the Split One Test Limit Into Two dialog to split a combined test limit into single test limits.

Click the [image] button to split the required test limits by moving the selected test limits into the column on the right. Click the [image] button if you wish to retain a test limit in the original limit set.

For proper identification of the separate limit sets, you may provide separate summary names and summary descriptions in the respective fields. Click the Finish button save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

On the Create/Edit User-Defined Limit Set dialog, rename the new limit set with a unique name which is different from the name of any official limit set.

Click Save As... to access the Save Limit Set As dialog to save your custom limit set, either Combined or Split, to a file.


Connecting the Oscilloscope to the DUT

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Connecting the Oscilloscope to the DUT

  1. Click the Connect tab or click Connect in the Task Flow pane.

  2. View the Source Tests Connection Diagram and follow the bulleted instructions below to connect the Oscilloscope to the Device Under Test (DUT).

Note

The Source Tests Connection Diagram and the list of instructions vary based on the configuration settings under the Set Up, Select Tests and Configure tabs.

  3. After making connections between the Oscilloscope and DUT based on the given instructions, click the I have completed these instructions check box.

  4. Click the Suppress all connection prompts check box if you want to suppress the pop-up messages and prompts when the tests are running. If you select this check box first, the I have completed these instructions check box gets automatically checked and grayed out.

See Also

· [image] Keysight N6469A eDP Automated Test Application

Next

· Running Tests


Running Tests

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Running Tests

Note

You must allow the oscilloscope to warm-up at least 30 minutes before running any measurement tests.

Tip

As a best practice, calibrate the oscilloscope at least once in a year or when the Calibration ΔTemp is greater than ±5 ºC. Refer to the Help>About Infiniium... menu on the Keysight Infiniium Oscilloscope to find the Calibration ΔTemp.

  1. To run the tests selected under the Select Tests tab, do one of the following options:

· Under the Select Tests tab, use the right-click pop-up menu within the test pane to run tests. Click All Checked Tests... to run all tests that are selected or Click Selected Branch Only... to run tests in a selected branch.

Alternatively, you may click [image] on the toolbar to run all the checked tests. This icon is active for all tabs. Click [image] on the toolbar to run tests in a selected branch. This icon is active for the Select Tests tab only.

· Under the Connect tab, click the Run Tests button to run the selected tests. By default, this button is grayed out. It is highlighted when you select either the I have completed these instructions check box or the Suppress all connection prompts check box.

· Under the Run Tests tab, click the Start button to run the selected tests.

You may configure the settings under the Run Tests tab to run the tests either Once, N (multiple but limited) Times or Forever.

For more information on the options available under the Run Tests tab, see:

· To select the "store mode"

· To run multiple times

· To send email on pauses or stops

· To pause or stop on events

· To specify the event

  2. If there are existing results for selected tests, you receive a prompt to choose the way you want to change the existing results before you continue. By default, Append New Trials is selected.

To retain the existing test results to compare with the new results of the selected tests, select Append New Trials.

To remove the existing test results, select Replace ALL Existing Trials so that only the new results of the selected tests are displayed.

  3. A Status window appears and displays the progress of the tests while they are running. Click Stop to abort the tests from running any further.

If you choose to abort the tests, click OK on the following prompt and the Results tab is displayed.

  4. When all selected tests are complete, click OK. The Results tab is displayed.

See Also

· To set the display preferences

· To set the run preferences

Next

· Viewing Results


To select the store mode

Running Tests

To select the Store Mode

You may select the type of trials that must be stored, especially when running multiple tests.

  1. Click the Run Tests tab.

  2. In the Store Mode section, select one of the drop-down options for trials.

By default, Worst is selected. Irrespective of the selection, the results of up to 25 trials are stored.

· Best — Stores the results of the best N trials.

· Event — Stores the results of N trials when a specific event is detected. See To specify the event.

· Last — Stores the results of the last N trials.

· Worst — Stores the results of the worst N trials.

If you change the type of trials in the Store Mode section, all existing test results will be deleted.

The selection in the Store Mode affects the trial display options in the Report tab. See To set trial display preferences.


To run multiple times

Running Tests

To run multiple times

You may select whether to run your tests once, more than once or forever.

  1. Click the Run Tests tab.

  2. In the Run Until section, select one of the drop-down options for Run test plans.

By default, Once is selected.

  • Forever — Tests are run repeatedly until you click the Stop button.

  • N Times — Tests are run "N" number of times. You must specify the number of runs by assigning a positive whole number for N. You may choose to have pauses between each run.

Note

When you choose to run the test plans N times, you may use the trial display options in the Report tab of the Preference dialog box to specify how many trials are displayed in the test report. See To set trial display preferences.

  • Once — Tests are run only once.


To send email on pauses or stops

Running Tests

To send email on pauses or stops

You may configure the test application to send a notification email whenever a test run pauses or ends.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the Send email check box.

  3. Click Configure.

  4. In the Configure Email dialog box, enter the To and From email addresses and the host name of the SMTP Server.

  5. Click OK.

Pauses occur between runs when you run your test plans for a specific number of times (see To run multiple times) or when the test run pauses on occurrence of an event (see To pause or stop on events).


To pause or stop on events

Running Tests

To pause or stop on events

You may set up test runs to pause or stop at the end of each test upon occurrence of a preselected type of event.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the On event check box. A drop-down selection field appears.

  3. Select one of the options.

· Pause — The test run pauses when the selected type event occurs.

· Stop — The test run stops when the selected type of event occurs.

  4. In the Event section, select the type of event. See To specify the event.

You may set the pauses or stops between runs to automatically send notification emails (see To send email on pauses or stops).


To set the display preferences

Running Tests

To set the display preferences

You may choose to display or disable the information, warning and error dialogs and modify other display preferences while tests are running.

  1. From the eDP automated test application's main menu, click View>Preferences....

  2. In the Preferences dialog box, click the Display tab.

  3. Under the Display tab, you may deselect the check box to disable the display to either one or all types of the following dialogs:

· Information dialogs

· Warning dialogs

· Error dialogs

Note

Display messages where you must select either OK/Cancel or Yes/No, are always enabled.

  4. You may also enable/disable the following display options:

· Invert scope display— displays a white background when the application captures screen shots. By default, this option is disabled. Note that there is no inversion of the scope display if the oscilloscope's ColorGrade is enabled.

· Keep application on top— keeps the application's main dialog box on top of the Infiniium application. By default, this option is enabled. Irrespective of whether this option is enabled or not, the mid-run dialog boxes are always displayed on top.

· Log events— displays the log of all events that occur during the test runs. By default, this option is disabled. You must enable this option only when you are directed by the Keysight support organization.

· Show tooltips— enables appearance of tooltips as you hover the mouse pointer over various controls in the application. By default, this option is enabled.

  5. Click Apply to save changes and click OK to close the Preferences dialog box.


To specify the event

Running Tests

To specify the event

You may select the type of event when you select Event for the type of trials in the Store Mode section and also after you choose to pause or stop the test runs upon occurrence of that event. See To select the Store Mode on how to select the type of trial and To pause or stop on events on how to enable the Events section.

  1. In the Events section, click the drop-down selection field and choose one of the following options:

· Fail — Causes occurrence of an event when a prerequisite test or selected test fails.

· Margin < N — Causes occurrence of an event when a test generates a margin, which is less than the specified value of N (number of runs). When you select this option, you must enter the minimum required margin percentage.

· ~Pass — Causes occurrence of an event when a selected test passes.

The tilde (~) character in the Event selection drop-down indicates such types of events that are unavailable. If you select such type of an event, a dialog box prompts the reason for the unavailability of that type. For example, the condition for you to be able to select Pass as the event type is that you must set the type of trials under the Store Mode as either Best, Event or Last. As such, the event type Pass is prefixed with ~ because the type of trials under Store Mode is Worst.


To set the run preferences

Running Tests

To set the run preferences

Other than enabling/disabling the display of Information, Warning and Error messages that may occur during test runs (see To set the display preferences), you may modify other preferences that affect the tests runs.

  1. From the eDP Automated Test application's main menu, click View>Preferences....

  2. In the Preferences dialog box, click the Run tab.

  3. In the Prompts section, select/deselect the following options. By default, these options are enabled:

· Beep when user prompted — enables beeps from the oscilloscope whenever there is a prompt for user inputs.

· Beep only during run — restricts the beeps to occur during test runs only.

  4. In the Test Abort Action section, select one of the following conditions that must be met if a test aborts:

· Continue the run — enables continuity in the running of tests until all tests are run, even if one or more tests abort. Note that you may view the problem descriptions related to the aborts after the test run ends.

· Stop the run and report the problem immediately — stops the running of tests as soon as a test aborts and the application generates a problem report immediately.

Note that the settings of the Test Abort Action section do not affect the Stop button.

  5. Click Apply to save the changes and click OK to close the Preferences dialog box.


Automating the Application

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Automating the Application

The Automation tab enables you to construct scripts of commands that drive the functionality of the application.

Select one of the modes: Script or Files. By default, Script is selected.

Script Mode

In the Script mode, the application runs commands entered in the script text box.

To construct a script of commands, do one of the following:

· Type in commands (one per line) in the script text box

· Use the command generator by clicking the Commands... button.

Tip

In either case of constructing a script, you may save the script to a text file to easily switch on to the Files automation mode.

Using the command generator in Automation

You may create either single commands or entire sample scripts (that demonstrate how commands work together) using the command generator.

· Single Command— In this mode,

  1. Select the tab that corresponds to the application tab or menu containing the controls you require to modify.

  2. Select the radio button for the action you desire to perform. The Use command(s) area displays the automation command that performs the desired action.

Most commands have placeholder parameters along with the instructions on how to modify/customize them.

· Entire Script— In this mode,

  1. Select a script that describes a task that provides you relevant & adequate information.

In either of the modes, you may click Copy to Clipboard button to copy the command and paste it within the script or click Append to Script to add the command towards the end of the script. You may optionally include instructions as comments that guide you in customizing the commands.

Note

The command lines that start with a pound (#) symbol in the script under the Automation tab do not function during test runs.

Files Mode

In the Files mode, the application runs commands that are found in files, as shown in the list. This list of files is constructed and managed using the buttons on the left.

Execution

Click the Start button to begin running the commands in the Script or Files mode. The first test starts running and the button changes to Stop.

Before the first test runs, you may click the Stop button to abort the test run. Once the run begins, the Status dialog box appears and you may use the Stop button on this dialog box.

Settings Status

Some commands result into visible changes to the application's tabs, such as selecting a test. Other commands modify settings that may not be visible, such as "SuppressMessages". To view the current value of the invisible properties, click the Settings... button to access the Settings status dialog box.

Command Line

To experiment with a command to check its functionality, type the command in the Try a command field and press the <Enter> key to check. If the output has a visible effect, such as selecting a test, go to the corresponding tab to check its behavior.


Viewing Results

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Viewing Results

  1. Click [image] in the toolbar or click the Results tab.

· The Results tab contains three resizeable panes to display information for test results. If you select one of the tests in the top pane, details and reference images (if any) are displayed in the lower panes.

· The summary of the selected test trial is displayed in the bottom left pane. This pane also displays the Worst Trial (depending on your settings in the Store Mode of the Run Tests tab).

· The bottom right pane may have several tabs, depending on the selected Report Preferences. If you select more than one trial, the first tab will be the Summary tab, which displays the summary of all the test trials. The application displays a maximum of 25 trials at one time.

· If you select worst first in the trial display option, the Worst Trial is the next tab after the Summary tab, followed by other trials in the order of trial performance.

· The reference images for the selected trials appear in the bottom right pane. See To show reference images and flash mask hits for more details on reference images.

Tip

A quick way to reset all configuration options and delete all test results is to create a new project. The new project has the default configuration options.

Note

If a test has a non-range limit of 0, that is, value < 0, the test application provides a nominal value. The nominal value produces a non-infinite margin and is used to declare the 100% margin point. You can view the assigned nominal value on the description pane.

See Also

· To delete trials from the results

· To show reference images and flash mask hits

· To change margin thresholds

· To change the test display order

· To set trial display preferences

Next

· Viewing/Exporting/Printing the Report


To delete trials from the results

Viewing Results

To delete trials from the results

· Under the Results tab, select one or more trials that you want to delete and do one of the following:

  1. Click [image] on the toolbar.

Click Yes to delete the selected result.

  2. Press the Delete key on the keyboard.

  3. Right-click at a test result (in the upper pane) and select the trial or test to delete.

  4. Right-click inside the display area of the trial tab (at the lower pane).

· Select the trial to delete.

If other tests have results that were generated during the same trial run as the trial you are deleting, the application asks you if you wish to delete these tests at the same time.

Note

The number of trials and the results may not match. The application displays those results that were generated during the same run. You may choose to delete those trials as well.

· When you click OK after selecting the trials to delete, a confirmation dialog appears.

· The remaining trials are renumbered in the descending order to fill in the gap left by the deleted trial.

· If you delete the last remaining trial of a test, the entire test results are removed.

Note

There are two situations where you are not allowed to delete a trial:

Case 1 — The trial you attempt to delete is the last remaining extreme trial but not the last remaining trial. In the eDP automated test application, the maximum number of trials displayed is 25. For example:

  1. Let us assume N is 25 (the maximum number of trials displayed).

  2. You have more than N trials of a test.

  3. You may delete up to N-1 trials, where all these tests are displayed in the individual result tabs. You will not be able to delete the last remaining test displayed in the individual result tab or other non-displayed tests. However, you may delete the entire test.

Case 2 — The trial you attempt to delete is associated with a trial defined in Case 1.


To show reference images and flash mask hits

Viewing Results

To show reference images and flash mask hits

  1. In the Results tab, click in the Reference Images pane.

This opens the reference image dialog.

In the reference image dialog, you can:

· Click the flash red pixels button [image] to highlight the points of failure.

· Click the zoom in [image] or zoom out [image] buttons to resize the dialog.

  2. Click the close button [image] to close the reference image dialog.


To change margin thresholds

Viewing Results

To change margin thresholds

  1. From the eDP automated test application's menu, click View>Preferences....

Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, select the Report tab.

  3. In the Margin Reporting section, you can:

· Enable or disable margin highlighting.

· Change the percent of margin at which to give warnings or critical failures.

  4. Click OK to save your changes and close the Preference dialog box.


To change the test display order

Viewing Results

To change the test display order

  1. From the eDP automated test application's main menu, click View>Preferences....

Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Test Display section, order tests chronologically or you may use the same ordering as in the Select Tests tab.

  4. Click OK to save your changes and close the Preferences dialog box.


To set trial display preferences

Viewing Results

To set trial display preferences

  1. From the eDP automated test application's main menu, click View>Preferences....

Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, select the Report tab.

  3. In the Trial Display section, you can:

· Select the maximum number of trials, up to 25, whose details are displayed at one time.

· Order trial details chronologically or by "best", "worst" or "last" trial first.

· Specify whether screens captured during the run are displayed in the Results tab.

Note that the "worst", "best" and "last" trial depends on the "store mode" setting in the Run Tests tab. See To select the "store mode".

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.

Note

These settings only affect the display/view of results and not their capture. Therefore, a change may be made either before or after running the tests.


Viewing/Exporting/Printing the Report

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Viewing/Exporting/Printing the Report

  • To view the HTML test report, click the Html Report tab.

See Also

· To export the report

· To print the report

· To set HTML Report preferences

Next

· Saving Test Projects


To export the report

Viewing/Exporting/Printing the Report

To export the report

  1. From the eDP Automated Test Application's main menu, click File>Export>Results.

  2. To export the HTML test report, click either CSV or HTML.

To export results in CSV (comma-separated value) format

Select CSV to export the results as a comma-separated list of values.

The data format is shown in the first line of the exported *.csv file.

To export the report in HTML format

You may export the test reports in HTML format using Single-File or Multi-File mode.

· Single-File — To save a single-file report, select "Web Archive, single file (.mht)" for the "Save As" type.

Note

Single-file reports do not contain hyperlinks in the summary table, due to the .mht format limitation. If you require these hyperlinks, use the multi-file format.

· Multi-File — For large reports, where you may prefer using links within the report, select the HTML>Multi-File option. Selecting the multi-file option exports the results as a set of separate image and HTML files. The application creates a folder with the specified name that may be copied to any computer. To view the exported report, open the HTML file stored in the folder.


To print the report

Viewing/Exporting/Printing the Report

To print the report

· To preview the HTML test report printout, click [image] or choose File>Print Preview... from the eDP automated test application's menu.

· To print the HTML test report, click [image] or choose File>Print... from the menu.


To set HTML Report Preferences

Viewing/Exporting/Printing the Report

To set HTML Report preferences

  1. From the eDP automated test application's main menu, click View>Preferences....

Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, select the Report tab.

  3. In the Jump Actions section, you can:

· Select the check-box for Select Tests tab double click jumps to result to enable double-click on the tests under the Select Tests tab, which would display the corresponding results under the Results tab. By default, this setting is disabled.

· Select the check-box for HTML Report tab display jumps to selected result to enable clicking on main HTML report, which will cause the report to scroll down to the location of the test result that is currently selected on the Results tab. If no tests are selected under the Results tab, the HTML report stays on top. By default, this setting is disabled. Regardless of this setting, if you double-click a row on the Results tab, the application automatically displays the HTML Report tab and scrolls down to the corresponding result.

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.


Saving Test Projects

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Saving Test Projects

· To save test settings and results to the current project directory:

  1. Choose File>Save Project from the eDP automated test application's main menu.

· To save test settings and results to a new project directory:

  1. Choose File>Save Project As... from the eDP automated test application's main menu.

    2. In the Save Project As... dialog box, type the device name and location.

    Project files are saved in a directory whose name is the device name.

    3. Click OK.

    See Also

    · To set AutoRecovery preferences

    · [image] Keysight N6469A eDP Automated Test Application

    Next

    Controlling the Application via a Remote PC


To set AutoRecovery preferences

Saving Test Projects

To set AutoRecovery preferences

  1. From the eDP automated test application's menu, choose View>Preferences....

  2. In the Preferences dialog box, select the Save/Load tab.

  3. In the Auto Recovery section, select one of the following options:

· To auto-save results after each trial or permutation even if the entire multi-trial is not complete. This option enables full recovery.

· To auto-save results only upon the completion of the entire multi-trial.

  4. Click Apply to save changes and click OK to close the Preferences dialog box.


Controlling the Application via a Remote PC

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Controlling the Application via a Remote PC

If the App Remote license option is installed (for the N5452A remote interface) on the oscilloscope, the eDP automated test application's Preference dialog contains a Remote tab, which allows you to enable the remote interface and configure the remote options.

Using the N5452A remote interface, you can control Infiniium compliance applications from a remote PC. While the remote interface has ready-to-run executable features available, you may also create custom programs using the .NET 2.0 programming language or the National Instruments' LabVIEW 8.5 graphical programming environment.

With the remote interface, you can:

· Launch and close the applications

· Configure options

· Run tests

· Obtain results

· Control display options & preferences

· Save and load projects

See Also

· To check for the App Remote license

· To identify the remote interface version

· To enable the remote interface

· To enable remote interface hints

Next

· Using a Second Monitor


To check for the App Remote license

Controlling the Application via a Remote PC

To check for the App Remote license

  1. From the Infiniium Oscilloscope's main menu, choose Help>About Infiniium.

  2. In the license set, check for the App Remote license.


To identify the remote interface version

Controlling the Application via a Remote PC

To identify the remote interface version

  1. From the eDP automated test application's main menu, click Help>About....

  2. In the About dialog box, the remote interface version is listed above other version information.


To enable the remote interface

Controlling the Application via a Remote PC

To enable the remote interface

  1. From the eDP automated test applications' main menu, click View>Preferences....

  2. In the Preferences dialog, select the Remote tab.

  3. Select the Enable remote interface option if you require access to the application remotely.

If you perform the tests with the application's user interface and want to ensure that there is no interference from other remote users, deselect the Enable remote interface option to disable remote interface.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


To enable remote interface hints

Controlling the Application via a Remote PC

To enable remote interface hints

  1. From the eDP automated test application's main menu, click View>Preferences....

  2. In the Preferences dialog box, select the Remote tab.

  3. In the Remote Options section, select the Show remote interface hints check box.

When you select this option:

· Select the remote programming language described in the tips.

· Tooltips related to the remote interface commands appear when you click the toolbar.

· Various controls in the tabs will have a context menu item added as "Remote interface hint...".

· The Select Tests and Configure tabs will display a remote hint in their description panes at the bottom of the screen, when an item is selected.

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.


Using a Second Monitor

Keysight N6469A eDP Test Infiniium Compliance Application Online Help

Using a Second Monitor

You may use a second monitor to display the eDP automated test application, allowing you to view the oscilloscope while using the application. If required, connect the second monitor to the video port labeled Second Monitor on the rear panel of the Oscilloscope. Do not connect the second monitor to the port labeled VGA.

Note

The VGA output only displays the screen of the oscilloscope on the external monitor.

Before starting the eDP automated test application, ensure that the second monitor is configured properly:

  1. Exit the oscilloscope application and click the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. Select Appearance and Personalization.

  4. Under Display, click Connect to an external display.

  5. Select the second monitor in the Display drop-down. The recommended screen resolution changes accordingly.

If you wish to select a screen resolution, which is different than the recommended setting, click the drop-down for Resolution and select an option.

  6. In the Multiple displays drop-down, select Extend these displays to be able to move the mouse pointer on the oscilloscope screen to the second monitor's display.

To stop using the second monitor, select the Show desktop only on 1 control from the Multiple displays drop-down.

  7. Click Apply to save these changes and click OK to close the Screen Resolution dialog box.

See Also

· N6469A eDP Test App - At a Glance